Aggiungere dei punti

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft AddPoint and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft WireToBSpline.svg Polilinea in B-spline Pagina precedente:
Pagina successiva: Eliminare un punto Draft DelPoint.svg Arrow-right.svg

Draft AddPoint.svg Aggiungi punto

Posizione nel menu
Draft → Aggiungi punto
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Elimina punto, Modifica


Descrizione

Questo strumento consente di aggiungere ulteriori punti a una linea Wire (spezzata) oppure a una linea BSpline.

La controparte di questo strumento è l'operazione Elimina punto.

Utilizzo

  1. Selezionare una spezzata o una BSpline. Lo strumento è disabilitato se nessun oggetto è selezionato.
  2. Premere il pulsante Draft AddPoint.svg Aggiungi punto
  3. Selezionare un punto nella vista 3D, oppure digitare le sue coordinate e premere il pulsante Draft AddPoint.svg Aggiungi punto.
  4. Premere Esc o Close per terminare l'operazione; i punti già posizionati rimangono.
  • Questa funzionalità è anche disponibile all'interno dello strumento Draft Edit.svg Modifica

Opzioni

Le opzioni di questo strumento sono descritte in Draft Edit.svg Modifica.

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Per lo strumento AddPoint non è disponibile un'interfaccia di programmazione tuttavia l'aggiunta di punti è semplice.

L'attributo Points di una polilinea o di una spline è una lista con i punti che comprendono quell'oggetto; per aggiungere dei punti, sovrascrivere questo attributo con un elenco più lungo di punti. Per aggiungere un nuovo elemento nella posizione desiderata nell'elenco si possono usare metodi come append() e insert(). Ogni punto è definito dal suo FreeCAD.Vector, con le unità in millimetri.

Esempio:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Draft WireToBSpline.svg Polilinea in B-spline Pagina precedente:
Pagina successiva: Eliminare un punto Draft DelPoint.svg Arrow-right.svg